// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
import { __assign, __awaiter, __extends, __generator } from "tslib";
import { delay } from "@azure/core-http";
import { Poller } from "../../src";
import { makeOperation } from "./testOperation";
var TestNonCancellablePoller = /** @class */ (function (_super) {
    __extends(TestNonCancellablePoller, _super);
    function TestNonCancellablePoller(client, intervalInMs, requestOptions, baseOperation, onProgress) {
        if (intervalInMs === void 0) { intervalInMs = 10; }
        var _this = this;
        var state = {
            client: client
        };
        if (baseOperation) {
            state = __assign(__assign({}, JSON.parse(baseOperation).state), state);
        }
        var operation = makeOperation(__assign(__assign({}, state), { client: client,
            requestOptions: requestOptions, unsupportedCancel: true }));
        _this = _super.call(this, operation) || this;
        if (onProgress) {
            _this.onProgress(onProgress);
        }
        _this.intervalInMs = intervalInMs;
        return _this;
    }
    Object.defineProperty(TestNonCancellablePoller.prototype, "initialResponse", {
        get: function () {
            return this.operation.state.initialResponse;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TestNonCancellablePoller.prototype, "previousResponse", {
        get: function () {
            return this.operation.state.previousResponse;
        },
        enumerable: true,
        configurable: true
    });
    TestNonCancellablePoller.prototype.delay = function () {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, delay(this.intervalInMs)];
            });
        });
    };
    /**
     * Can be used to get a publicly safe version of the poller state.
     */
    TestNonCancellablePoller.prototype.getOperationState = function () {
        return this.operation.state;
    };
    return TestNonCancellablePoller;
}(Poller));
export { TestNonCancellablePoller };
//# sourceMappingURL=testNonCancellablePoller.js.map